Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List all action items for an organization
cURL
curl --request GET \ --url https://api.rootly.com/v1/action_items \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.rootly.com/v1/action_items" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rootly.com/v1/action_items', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.rootly.com/v1/action_items", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.rootly.com/v1/action_items" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.rootly.com/v1/action_items") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.rootly.com/v1/action_items") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "id": "<string>", "type": "incident_action_items", "attributes": { "summary": "<string>", "created_at": "<string>", "updated_at": "<string>", "description": "<string>", "kind": "task", "assigned_to": { "id": 123, "email": "<string>", "created_at": "<string>", "updated_at": "<string>", "name": "<string>", "phone": "<string>", "phone_2": "<string>", "first_name": "<string>", "last_name": "<string>", "preferred_name": "<string>", "full_name": "<string>", "full_name_with_team": "<string>", "slack_id": "<string>", "time_zone": "<string>" }, "assigned_to_group_ids": [ "<string>" ], "priority": "high", "status": "open", "due_date": "<string>", "jira_issue_id": "<string>", "jira_issue_key": "<string>", "jira_issue_url": "<string>", "linear_issue_id": "<string>", "linear_issue_key": "<string>", "linear_issue_url": "<string>", "created_by": { "id": 123, "email": "<string>", "created_at": "<string>", "updated_at": "<string>", "name": "<string>", "phone": "<string>", "phone_2": "<string>", "first_name": "<string>", "last_name": "<string>", "preferred_name": "<string>", "full_name": "<string>", "full_name_with_team": "<string>", "slack_id": "<string>", "time_zone": "<string>" } } } ], "links": { "self": "<string>", "first": "<string>", "prev": "<string>", "next": "<string>", "last": "<string>" }, "meta": { "current_page": 123, "next_page": 123, "prev_page": 123, "total_count": 123, "total_pages": 123, "next_cursor": "<string>" }, "included": [ { "id": "<string>", "type": "<string>", "attributes": {}, "relationships": {} } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
success
Show child attributes
Was this page helpful?
Contact support